Skip to main content
PATCH
/
api2
/
v1
/
projects
/
{projectUid}
Edit project
curl --request PATCH \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "dateDue": "2023-11-07T05:31:56Z",
  "machineTranslateSettingsPerLangs": [
    {
      "targetLang": "<string>"
    }
  ],
  "name": "<string>",
  "note": "<string>",
  "projectWorkflowSettings": {
    "completeUnassigned": true,
    "propagateTranslationsToLowerWfDuringUpdateSource": true
  },
  "purchaseOrder": "<string>"
}
'
{
  "userRole": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "domain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "id": "<string>",
  "internalId": 123,
  "mtSettingsPerLanguageList": [
    {
      "targetLang": "<string>",
      "machineTranslateSettings": {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "uid": "<string>"
      }
    }
  ],
  "name": "<string>",
  "owner": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "references": [
    {
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "id": "<string>",
      "note": "<string>",
      "uid": "<string>"
    }
  ],
  "sourceLang": "<string>",
  "subDomain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "targetLangs": [
    "<string>"
  ],
  "uid": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Unique identifier of the project

Body

application/json

Project fields to update; omitted fields are left unchanged

archived
boolean
businessUnit
object
client
object
costCenter
object
dateDue
string<date-time>
domain
object
machineTranslateSettings
object
machineTranslateSettingsPerLangs
object[]
name
string
Maximum string length: 255
note
string
Maximum string length: 4096
owner
object
projectWorkflowSettings
object
purchaseOrder
string
Maximum string length: 255
status
enum<string>
Available options:
NEW,
ASSIGNED,
COMPLETED,
ACCEPTED_BY_VENDOR,
DECLINED_BY_VENDOR,
COMPLETED_BY_VENDOR,
CANCELLED
subDomain
object

Response

OK

Base projectDto

userRole
string
required
read-only

Response differs based on user's role

dateCreated
string<date-time>

Date and time the project was created

domain
object
id
string

Internal numeric identifier, encoded as a string

internalId
integer<int32>

Organization-scoped sequential number shown in the UI project list

mtSettingsPerLanguageList
object[]

Machine translation settings per target language

name
string

Project name

owner
object
references
object[]

Reference files attached to the project

sourceLang
string

Source language code

subDomain
object
targetLangs
string[]

Target language codes

uid
string

Unique identifier used in API paths